---

#TODO: package this
# - name: Install modified starfield theme
#   unarchive:
#     src: files/usr/share/grub/starfield.tar.gz
#     dest: "/usr/share/grub/themes"
#   when: ansible_distribution == 'Archlinux'

- name: Set kernel cmdline params in grub
  template:
    src: etc/default/grub.j2
    dest: /etc/default/grub
    owner: root
    group: root
    mode: '644'
    backup: yes
  register: default_grub

- name: Remake grub if changes were made
  shell: "{{ grub_mkconfig_command }}"
  when: default_grub.changed and reboot is not defined
  vars:
    grub_mkconfig_command: >-
      {% if ansible_distribution == 'Debian' %}
      update-grub
      {% if ansible_distribution == 'AlmaLinux' %}
      grub2-mkconfig -o /boot/efi/EFI/almalinux/grub.cfg
      grub2-mkconfig -o /boot/grub2/grub.cfg
      {% elif ansible_distribution == 'Archlinux' %}
      grub-mkconfig -o /boot/grub/grub.cfg
      {% else %}
      # Unsupported distribution
      {% endif %}

# - block:
#
#     - name: Remake grub if changes were made
#       shell: grub-mkconfig -o /boot/grub/grub.cfg
#
#     # [WARNING]: Reset is not implemented local connection
#     - name: Reboot host if grub was modified
#       reboot:
#       async: 1
#       poll: 0
#
#     - name: Wait for host to reboot
#       wait_for_connection:
#         connect_timeout: 20
#         sleep: 5
#         delay: 5
#         timeout: 60
#
#   rescue:
#
#     - name: reboot host if grub was modified
#       command: shutdown -r now
#
#   when: default_grub.changed and reboot is defined
